import { nodeTypeFactory } from '../../../utils/schema';
export var TabsNode;
(function (TabsNode) {
    TabsNode["Tab"] = "yfm_tab";
    TabsNode["TabsList"] = "yfm_tabs_list";
    TabsNode["TabPanel"] = "yfm_tab_panel";
    TabsNode["Tabs"] = "yfm_tabs";
})(TabsNode || (TabsNode = {}));
export const tabActiveClassname = 'yfm-tab active';
export const tabInactiveClassname = 'yfm-tab';
export const tabPanelActiveClassname = 'yfm-tab-panel active';
export const tabPanelInactiveClassname = 'yfm-tab-panel';
export const tabPanelType = nodeTypeFactory(TabsNode.TabPanel);
export const tabType = nodeTypeFactory(TabsNode.Tab);
export const tabsType = nodeTypeFactory(TabsNode.Tabs);
export const tabListType = nodeTypeFactory(TabsNode.TabsList);
